Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleFuzzyCurveMatchLib

    java.lang.Object
      com.ibm.able.rules.AbleFuzzyCurveMatchLib

All Implemented Interfaces:
  java.io.Serializable

public class AbleFuzzyCurveMatchLib
extends java.lang.Object
implements java.io.Serializable

This class provides a set of functions for using fuzzy logic to reason about time-series data.

See Also:
  Serialized Form

Constructor Summary
`AbleFuzzyCurveMatchLib()` Create a new

Method Summary
`void` | `matchCurve(AbleRuleSet ars, java.lang.String fuzzVar1, java.lang.String fuzzSet1, java.lang.String fuzzVar2, java.lang.String fuzzSet2, java.lang.String fuzzVar3, double tol1, double tol2)` Determine the absolute value of a number.
`void` | `replaceSetCurve(AbleRuleSet theRuleSet, java.lang.String theFuzzyVariableName, java.lang.String theFuzzySetName, double[] theTruthValues)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleFuzzyCurveMatchLib

    public AbleFuzzyCurveMatchLib()

  Create a new

Method Detail

### matchCurve

    public void matchCurve(AbleRuleSet ars,
                           java.lang.String fuzzVar1,
                           java.lang.String fuzzSet1,
                           java.lang.String fuzzVar2,
                           java.lang.String fuzzSet2,
                           java.lang.String fuzzVar3,
                           double tol1,
                           double tol2)
                    throws AbleException

  Determine the absolute value of a number.

  Parameters:
    `ars` - stuff

  Returns:
    nuttin
  Throws:
    `AbleException`

### replaceSetCurve

    public void replaceSetCurve(AbleRuleSet theRuleSet,
                                java.lang.String theFuzzyVariableName,
                                java.lang.String theFuzzySetName,
                                double[] theTruthValues)
                         throws AbleException

  Throws:
    `AbleException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005